/// <reference types="react" />
export declare class StoryNode {
    id: string;
    path: string[];
    name: string;
    private renderStory?;
    constructor(renderStory: () => JSX.Element, ...path: string[]);
    private _subNodes;
    get subNodes(): StoryNode[];
    addSubNode(node: StoryNode): void;
    render(): JSX.Element;
    getSubNode(name: string): StoryNode | undefined;
}
export declare class StoryData {
    static rootNode: StoryNode;
    static nodes: {
        [id: string]: StoryNode;
    };
    static addNodes(nodes: StoryNode[]): void;
    static addNode(node: StoryNode): void;
    static getStoryNode(id: string): StoryNode | undefined;
}
